## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-datanommer-models
Version:        1.4.4
Release:        %autorelease
Summary:        SQLAlchemy models for datanommer

License:        GPL-3.0-or-later
URL:            https://github.com/fedora-infra/datanommer
Source:         %{pypi_source datanommer_models}

BuildArch:      noarch
BuildRequires:  python3-devel

# Test dependencies
#BuildRequires:  python3dist(pytest)
#BuildRequires:  python3dist(pytest-postgresql)

%global _description %{expand:
SQLAlchemy models for datanommer. }

%description %_description

%package -n python3-datanommer-models
Summary:        %{summary}

%description -n python3-datanommer-models %_description


%prep
%autosetup -p1 -n datanommer_models-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L datanommer


# The tests suites requires the messaging schema that are currently not packaged
# in Fedora. We can try to make the %%pytest macro running later when they are available.
%check
%pyproject_check_import -t


%files -n python3-datanommer-models -f %{pyproject_files}
%doc README.*
%doc NEWS.*
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Thu Jul 10 2025 Michal Konecny <mkonecny@redhat.com> - 1.4.4-1
- Bump to 1.4.4

* Tue Jun 10 2025 Python Maint <python-maint@redhat.com> - 1.4.3-2
- Rebuilt for Python 3.14

* Tue Jun 10 2025 Packit <hello@packit.dev> - 1.4.3-1
- Update to 1.4.3 upstream release
- Resolves: rhbz#2371462

* Sat Jun 07 2025 Python Maint <python-maint@redhat.com> - 1.4.2-2
- Rebuilt for Python 3.14

* Sat Jun 07 2025 Packit <hello@packit.dev> - 1.4.2-1
- Update to 1.4.2 upstream release

* Sat Jun 07 2025 Michal Konecny <mkonecny@redhat.com> - 1.4.1-2
- Add packit config

* Mon Jun 02 2025 Michal Konecny <mkonecny@redhat.com> - 1.4.1-1
- Bump to version 1.4.1

* Wed May 28 2025 Michal Konecny <mkonecny@redhat.com> - 1.4.0-1
- Update to version 1.4.0

* Wed May 21 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-6
- Unretirement request: pagure.io/releng/issue/12597 Revert "Orphaned for
  6+ weeks"

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Lenka Segura <lsegura@redhat.com> - 1.0.4-3
- Datanommer-config is no longer a subpackage

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.0.4-2
- Rebuilt for Python 3.11

* Tue May 31 2022 Lenka Segura <lsegura@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-17
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.9.1-16
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 0.9.1-13
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 0.9.1-11
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 0.9.1-10
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 18 2019 Miro Hrončok <miro@hroncok.cz> - 0.9.1-8
- Subpackage python2-datanommer-models has been removed

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-6
- Remove obsolete Group tag

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 0.9.1-4
- Rebuilt for Python 3.7

* Thu Apr 05 2018 Ralph Bean <rbean@redhat.com> - 0.9.1-3
- Copy namespace file explicitly for python3.

* Wed Apr 04 2018 Ralph Bean <rbean@redhat.com> - 0.9.1-2
- Python3 subpackage.

* Wed Apr 04 2018 Ralph Bean <rbean@redhat.com> - 0.9.1-1
- 0.9.1

* Mon Mar 26 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 0.9.0-4
- Update Python 2 dependency declarations to new packaging standards

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.0-2
- Python 2 binary package renamed to python2-datanommer-models

* Tue Dec 12 2017 Ralph Bean <rbean@redhat.com> - 0.9.0-1
- 0.9.0

* Wed Oct 04 2017 Ralph Bean <rbean@redhat.com> - 0.8.2-1
- 0.8.2

* Fri Aug 11 2017 Ralph Bean <rbean@redhat.com> - 0.8.1-1
- 0.8.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 22 2017 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- 0.8.0

* Fri Mar 03 2017 Ralph Bean <rbean@redhat.com> - 0.7.0-1
- 0.7.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 0.6.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 16 2015 Ralph Bean <rbean@redhat.com> - 0.6.5-3
- Fix rhel conditional again.

* Mon Mar 16 2015 Ralph Bean <rbean@redhat.com> - 0.6.5-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
